#include <bits/stdc++.h>

using namespace std;

int n,c,q,l,r;
string s;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cin >> n >> c >> q;
    cin >> s;
    for(int i=0; i<q; i++)
    {
        cin >> l >> r;
        cout << c <<endl;
    }
    return 0;
}